{ "error": null, "payload": { "references": [ { "id": "9162ee3d-e71e-4f2d-81a7-9981ecb06597", "citation_idx": 1, "search_type": "rms", "chunk_id": "7601005986849213491", "text": "Through our Apple Manufacturing Academy in Detroit, we're already training American businesses and innovators on the latest smart manufacturing and artificial intelligence techniques. Six months since opening, the academy is already making an enormously positive impact...", "text_type": "paragraph", "document_id": "ed6ed077-949c-46ec-b036-d01fafc9bb84", "document_name": "Apple, Inc., Q1 2026 Earnings Call, 29-January-2026 5", "s3_file_key": null, "external_url": "", "metadata": { "rms_type": null, "rms_sub_type": null, "rms_document_type": "earnings_call", "source": null, "countries": null, "regions": null, "participants": null, "tags": null, "publisher": null, "calendar_date": null, "fiscal_year": null, "fiscal_quarter": null, "document_category": "earnings_call", "document_subcategory": null, "sector": null, "subsector": null, "stock_ids": [ "BBG001S5N8V8" ], "tickers": [ "AAPL" ], "company_names": null, "offset": null, "snippet": null } }, { "id": "05cc6e75-674c-4263-9427-a2113d06a51c", "citation_idx": 2, "search_type": "rms", "chunk_id": "7575071132181705859", "text": "Our revenue of $102.5 billion was up 8% year-over-year and is a new September quarter record. We set September quarter records in the Americas, Europe, Japan and the rest of Asia Pacific, and grew in the vast majority of markets we track...", "text_type": "paragraph", "document_id": "c893ee34-fb85-491d-b667-0be2be515418", "document_name": "Apple, Inc., Q4 2025 Earnings Call, 30-October-2025 5", "s3_file_key": null, "external_url": "", "metadata": { "rms_type": null, "rms_sub_type": null, "rms_document_type": "earnings_call", "source": null, "countries": null, "regions": null, "participants": null, "tags": null, "publisher": null, "calendar_date": null, "fiscal_year": null, "fiscal_quarter": null, "document_category": "earnings_call", "document_subcategory": null, "sector": null, "subsector": null, "stock_ids": [ "BBG001S5N8V8" ], "tickers": [ "AAPL" ], "company_names": null, "offset": null, "snippet": null } } ] }}
{
"error": {
"code": "INVALID_REQUEST_BODY",
"msg": "conversation_id must be a valid UUID",
"message": "conversation_id must be a valid UUID"
},
"payload": null
}
{
"error": {
"code": "API_KEY_MISSING",
"msg": "header does not contain api key",
"message": "header does not contain api key"
},
"payload": null
}
Basic
References (v2)
Retrieves the list of evidence references (citations) used in a conversation.
The Analytics SSE endpoint streams the generated answer but does not include references in the response. Use this endpoint after the stream completes to fetch the full list of references that were cited in the answer.
Usage Flow:
Call the Analytics SSE endpoint (POST /v1/analytics/sse)
From the SSE stream, find the conversation event → extract conversation_id
After the stream finishes, call this endpoint with the conversation_id
The response contains all references with citation index, source document info, and metadata
How to view original documents:
Via Viewer:https://chat.linqalpha.com/rms/viewer?conversation_id={conversation_id}&citation_idx={citation_idx}
GET
/
v2
/
conversations
/
{conversation_id}
/
references
References (v2)
curl --request GET \ --url https://api.linqalpha.com/v2/conversations/{conversation_id}/references \ --header 'X-API-KEY: <api-key>'
{ "error": null, "payload": { "references": [ { "id": "9162ee3d-e71e-4f2d-81a7-9981ecb06597", "citation_idx": 1, "search_type": "rms", "chunk_id": "7601005986849213491", "text": "Through our Apple Manufacturing Academy in Detroit, we're already training American businesses and innovators on the latest smart manufacturing and artificial intelligence techniques. Six months since opening, the academy is already making an enormously positive impact...", "text_type": "paragraph", "document_id": "ed6ed077-949c-46ec-b036-d01fafc9bb84", "document_name": "Apple, Inc., Q1 2026 Earnings Call, 29-January-2026 5", "s3_file_key": null, "external_url": "", "metadata": { "rms_type": null, "rms_sub_type": null, "rms_document_type": "earnings_call", "source": null, "countries": null, "regions": null, "participants": null, "tags": null, "publisher": null, "calendar_date": null, "fiscal_year": null, "fiscal_quarter": null, "document_category": "earnings_call", "document_subcategory": null, "sector": null, "subsector": null, "stock_ids": [ "BBG001S5N8V8" ], "tickers": [ "AAPL" ], "company_names": null, "offset": null, "snippet": null } }, { "id": "05cc6e75-674c-4263-9427-a2113d06a51c", "citation_idx": 2, "search_type": "rms", "chunk_id": "7575071132181705859", "text": "Our revenue of $102.5 billion was up 8% year-over-year and is a new September quarter record. We set September quarter records in the Americas, Europe, Japan and the rest of Asia Pacific, and grew in the vast majority of markets we track...", "text_type": "paragraph", "document_id": "c893ee34-fb85-491d-b667-0be2be515418", "document_name": "Apple, Inc., Q4 2025 Earnings Call, 30-October-2025 5", "s3_file_key": null, "external_url": "", "metadata": { "rms_type": null, "rms_sub_type": null, "rms_document_type": "earnings_call", "source": null, "countries": null, "regions": null, "participants": null, "tags": null, "publisher": null, "calendar_date": null, "fiscal_year": null, "fiscal_quarter": null, "document_category": "earnings_call", "document_subcategory": null, "sector": null, "subsector": null, "stock_ids": [ "BBG001S5N8V8" ], "tickers": [ "AAPL" ], "company_names": null, "offset": null, "snippet": null } } ] }}
{
"error": {
"code": "INVALID_REQUEST_BODY",
"msg": "conversation_id must be a valid UUID",
"message": "conversation_id must be a valid UUID"
},
"payload": null
}
{
"error": {
"code": "API_KEY_MISSING",
"msg": "header does not contain api key",
"message": "header does not contain api key"
},
"payload": null
}
List of references associated with the conversation
Show child attributes
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Linq Alpha API Docs","colors":{"primary":"#1767FE","light":"#1767FE","dark":"#1767FE"},"logo":{"light":"https://mintcdn.com/linqalpha/9BNJqkVKHb4kSYyJ/logo/light.svg?fit=max\u0026auto=format\u0026n=9BNJqkVKHb4kSYyJ\u0026q=85\u0026s=d7dd093386c0527ef6e6c9ef5f8130ad","dark":"https://mintcdn.com/linqalpha/9BNJqkVKHb4kSYyJ/logo/dark.svg?fit=max\u0026auto=format\u0026n=9BNJqkVKHb4kSYyJ\u0026q=85\u0026s=03c8b4a884d6b9c2deb87606bd15f0c7"},"favicon":"https://mintcdn.com/linqalpha/9BNJqkVKHb4kSYyJ/favicon.svg?fit=max\u0026auto=format\u0026n=9BNJqkVKHb4kSYyJ\u0026q=85\u0026s=384de566c2f8fe8b6d627bd19c014f2c","navbar":{"links":[{"href":"mailto:support@linqalpha.com","label":"Support"}]},"footer":{"socials":{"github":"https://github.com/linq-rag","linkedin":"https://www.linkedin.com/company/linqalpha/posts?feedView=all"},"links":[{"header":"Legal","items":[{"label":"AI Disclaimer","href":"https://linqalpha.com/disclaimer"},{"label":"Terms of Use","href":"https://linqalpha.com/terms-of-use"},{"label":"Privacy Policy","href":"https://linqalpha.com/privacy-policy"}]}]},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Website","href":"https://linqalpha.com"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"linqalpha","hasAudioNarration":false,"actualSubdomain":"linqalpha","customDomains":["docs.linqalpha.com"],"gitSource":{"type":"github","owner":"linq-rag","repo":"linq-public-api","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adbbd2a01ae999ce782ca39","collectionId":"00c88381-983e-45c7-9553-efed77ef87e8","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adbbd2a01ae999ce782ca39"},"feedback":{"thumbs":true,"issues":false,"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6adbbd2a01ae999ce782ca39","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"default","tag":"API Reference","count":53},{"language":"default","tag":"Basic","count":16},{"language":"default","tag":"Briefing","count":9},{"language":"default","tag":"RMS (On request)","count":7},{"language":"default","tag":"Analytics V2","count":6},{"language":"default","tag":"Evaluations","count":4},{"language":"default","tag":"Transcriptions","count":4},{"language":"default","tag":"Meeting Agent","count":3},{"language":"default","tag":"Sync Status","count":3},{"language":"default","tag":"MCP","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/basic/references_v2","slug":"/api-reference/basic/references_v2","pageMetadata":{"title":"References (v2)","openapi":"GET /v2/conversations/{conversation_id}/references","description":"Retrieves the list of evidence references (citations) used in a conversation.\n\nThe [Analytics SSE](/api-reference/basic/analytics-sse) endpoint streams the generated answer but **does not include references in the response**. Use this endpoint after the stream completes to fetch the full list of references that were cited in the answer.\n\n**Usage Flow:**\n1. Call the Analytics SSE endpoint (`POST /v1/analytics/sse`)\n2. From the SSE stream, find the `conversation` event → extract `conversation_id`\n3. After the stream finishes, call this endpoint with the `conversation_id`\n4. The response contains all references with citation index, source document info, and metadata\n\n**How to view original documents:**\n- **Via Viewer:** `https://chat.linqalpha.com/rms/viewer?conversation_id={conversation_id}\u0026citation_idx={citation_idx}`","href":"/api-reference/basic/references_v2"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n li: \"li\",\n ol: \"ol\",\n p: \"p\",\n strong: \"strong\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Retrieves the list of evidence references (citations) used in a conversation.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"The \", _jsx(_components.a, {\n href: \"/api-reference/basic/analytics-sse\",\n children: \"Analytics SSE\"\n }), \" endpoint streams the generated answer but \", _jsx(_components.strong, {\n children: \"does not include references in the response\"\n }), \". Use this endpoint after the stream completes to fetch the full list of references that were cited in the answer.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Usage Flow:\"\n })\n }), \"\\n\", _jsxs(_components.ol, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Call the Analytics SSE endpoint (\", _jsx(_components.code, {\n children: \"POST /v1/analytics/sse\"\n }), \")\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"From the SSE stream, find the \", _jsx(_components.code, {\n children: \"conversation\"\n }), \" event → extract \", _jsx(_components.code, {\n children: \"conversation_id\"\n })]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"After the stream finishes, call this endpoint with the \", _jsx(_components.code, {\n children: \"conversation_id\"\n })]\n }), \"\\n\", _jsx(_components.li, {\n children: \"The response contains all references with citation index, source document info, and metadata\"\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"How to view original documents:\"\n })\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.strong, {\n children: \"Via Viewer:\"\n }), \" \", _jsx(_components.code, {\n children: \"https://chat.linqalpha.com/rms/viewer?conversation_id={conversation_id}\u0026citation_idx={citation_idx}\"\n })]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"References (v2)","openapi":"GET /v2/conversations/{conversation_id}/references","description":"Retrieves the list of evidence references (citations) used in a conversation.\n\nThe [Analytics SSE](/api-reference/basic/analytics-sse) endpoint streams the generated answer but **does not include references in the response**. Use this endpoint after the stream completes to fetch the full list of references that were cited in the answer.\n\n**Usage Flow:**\n1. Call the Analytics SSE endpoint (`POST /v1/analytics/sse`)\n2. From the SSE stream, find the `conversation` event → extract `conversation_id`\n3. After the stream finishes, call this endpoint with the `conversation_id`\n4. The response contains all references with citation index, source document info, and metadata\n\n**How to view original documents:**\n- **Via Viewer:** `https://chat.linqalpha.com/rms/viewer?conversation_id={conversation_id}\u0026citation_idx={citation_idx}`","href":"/api-reference/basic/references_v2"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"References (v2)","description":"Retrieves the list of evidence references (citations) used in a conversation.\n\nThe [Analytics SSE](/api-reference/basic/analytics-sse) endpoint streams the generated answer but **does not include references in the response**. Use this endpoint after the stream completes to fetch the full list of references that were cited in the answer.\n\n**Usage Flow:**\n1. Call the Analytics SSE endpoint (`POST /v1/analytics/sse`)\n2. From the SSE stream, find the `conversation` event → extract `conversation_id`\n3. After the stream finishes, call this endpoint with the `conversation_id`\n4. The response contains all references with citation index, source document info, and metadata\n\n**How to view original documents:**\n- **Via Viewer:** `https://chat.linqalpha.com/rms/viewer?conversation_id={conversation_id}\u0026citation_idx={citation_idx}`","parameters":["efd1d174-f1b6-4d16-9509-f4893612abb6","77f82275-6416-4e09-9f5e-8bdee1ab19fb","68f9b96a-775d-45c3-b0bb-1ffe8dfc11b1","3e3b8fa6-26ab-4f73-b352-f32a677f9f7f"],"responses":{"200":"f3c258dc-24d9-4ddf-828b-9fc2d6edd83b","400":"c9aee4c5-7dee-4239-ac81-b303c5725bd9","401":"8381881a-0a19-4d8f-aadc-bca51701c62f"},"tags":["Data"],"method":"get","type":"path","servers":["9cdf8e58-8f32-4db6-a144-4d35b9596918"],"security":["8aa7599b-2dcb-4258-a16e-03ea68ad1736"],"path":"/v2/conversations/{conversation_id}/references","baseUrlOptions":["https://api.linqalpha.com"],"title":"References (v2)","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"efd1d174-f1b6-4d16-9509-f4893612abb6":{"name":"conversation_id","in":"path","description":"Conversation ID (UUID). Provided in the `conversation` SSE event.","required":true,"schema":{"type":"string","format":"uuid","isRequired":true,"description":"Conversation ID (UUID). Provided in the `conversation` SSE event.","uniqueKey":"","typeLabel":"string\u003cuuid>"},"example":"123e4567-e89b-12d3-a456-426614174000"},"77f82275-6416-4e09-9f5e-8bdee1ab19fb":{"name":"organization_id","in":"query","description":"Organization ID. Required for platform API keys to identify the target organization.","required":false,"schema":{"type":"string","format":"uuid","isRequired":false,"description":"Organization ID. Required for platform API keys to identify the target organization.","uniqueKey":"","typeLabel":"string\u003cuuid>"},"example":"123e4567-e89b-12d3-a456-426614174000"},"68f9b96a-775d-45c3-b0bb-1ffe8dfc11b1":{"name":"user_id","in":"query","description":"User ID. Required together with `user_email` for platform API keys to identify the specific user who owns the conversation.","required":false,"schema":{"type":"string","isRequired":false,"description":"User ID. Required together with `user_email` for platform API keys to identify the specific user who owns the conversation.","uniqueKey":"","typeLabel":"string"},"example":"user-123"},"3e3b8fa6-26ab-4f73-b352-f32a677f9f7f":{"name":"user_email","in":"query","description":"User email. Required together with `user_id` for platform API keys to identify the specific user who owns the conversation.","required":false,"schema":{"type":"string","format":"email","isRequired":false,"description":"User email. Required together with `user_id` for platform API keys to identify the specific user who owns the conversation.","uniqueKey":"","typeLabel":"string\u003cemail>"},"example":"john.doe@example.com"}},"responses":{"f3c258dc-24d9-4ddf-828b-9fc2d6edd83b":{"description":"References response","content":{"application/json":{"schema":{"type":"object","properties":{"references":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Reference ID","isRequired":true,"uniqueKey":"references.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"citation_idx":{"type":"integer","description":"Citation index number","isRequired":true,"uniqueKey":"references.items.[INDEX].citation_idx","typeLabel":"integer"},"search_type":{"type":"string","description":"Type of search that produced this reference (e.g., \"rms\")","isRequired":true,"uniqueKey":"references.items.[INDEX].search_type","typeLabel":"string"},"chunk_id":{"type":"string","description":"Chunk identifier","isRequired":true,"uniqueKey":"references.items.[INDEX].chunk_id","typeLabel":"string"},"text":{"type":"string","description":"Reference text content","isRequired":true,"uniqueKey":"references.items.[INDEX].text","typeLabel":"string"},"text_type":{"type":"string","description":"Type of text (e.g., \"paragraph\")","isRequired":true,"uniqueKey":"references.items.[INDEX].text_type","typeLabel":"string"},"document_id":{"type":"string","format":"uuid","description":"Document ID. Use with presigned_url endpoint for direct download.","isRequired":true,"uniqueKey":"references.items.[INDEX].document_id","typeLabel":"string\u003cuuid>"},"document_name":{"type":"string","description":"Document name","isRequired":true,"uniqueKey":"references.items.[INDEX].document_name","typeLabel":"string"},"s3_file_key":{"oneOf":[{"type":"string","description":"S3 file key (may be null)","isRequired":true,"uniqueKey":"references.items.[INDEX].s3_file_key.oneOf.0","typeLabel":"string"},{"type":"null","description":"S3 file key (may be null)","isRequired":true,"uniqueKey":"references.items.[INDEX].s3_file_key.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"references.items.[INDEX].s3_file_key","typeLabel":"string | null"},"external_url":{"type":"string","description":"External URL for the document","isRequired":true,"uniqueKey":"references.items.[INDEX].external_url","typeLabel":"string"},"metadata":{"type":"object","properties":{"rms_type":{"oneOf":[{"type":"string","uniqueKey":"references.items.[INDEX].metadata.rms_type.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"references.items.[INDEX].metadata.rms_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.rms_type","typeLabel":"string | null"},"rms_sub_type":{"oneOf":[{"type":"string","uniqueKey":"references.items.[INDEX].metadata.rms_sub_type.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"references.items.[INDEX].metadata.rms_sub_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.rms_sub_type","typeLabel":"string | null"},"rms_document_type":{"oneOf":[{"type":"string","description":"Document type (e.g., \"earnings_call\", \"filing\")","uniqueKey":"references.items.[INDEX].metadata.rms_document_type.oneOf.0","typeLabel":"string"},{"type":"null","description":"Document type (e.g., \"earnings_call\", \"filing\")","uniqueKey":"references.items.[INDEX].metadata.rms_document_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.rms_document_type","typeLabel":"string | null"},"source":{"oneOf":[{"type":"string","uniqueKey":"references.items.[INDEX].metadata.source.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"references.items.[INDEX].metadata.source.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.source","typeLabel":"string | null"},"countries":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"references.items.[INDEX].metadata.countries.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"references.items.[INDEX].metadata.countries.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"uniqueKey":"references.items.[INDEX].metadata.countries.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.countries","typeLabel":"string[] | null"},"regions":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"references.items.[INDEX].metadata.regions.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"references.items.[INDEX].metadata.regions.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"uniqueKey":"references.items.[INDEX].metadata.regions.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.regions","typeLabel":"string[] | null"},"participants":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"references.items.[INDEX].metadata.participants.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"references.items.[INDEX].metadata.participants.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"uniqueKey":"references.items.[INDEX].metadata.participants.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.participants","typeLabel":"string[] | null"},"tags":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"references.items.[INDEX].metadata.tags.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"references.items.[INDEX].metadata.tags.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"uniqueKey":"references.items.[INDEX].metadata.tags.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.tags","typeLabel":"string[] | null"},"publisher":{"oneOf":[{"type":"string","uniqueKey":"references.items.[INDEX].metadata.publisher.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"references.items.[INDEX].metadata.publisher.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.publisher","typeLabel":"string | null"},"calendar_date":{"oneOf":[{"type":"string","uniqueKey":"references.items.[INDEX].metadata.calendar_date.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"references.items.[INDEX].metadata.calendar_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.calendar_date","typeLabel":"string | null"},"fiscal_year":{"oneOf":[{"type":"string","uniqueKey":"references.items.[INDEX].metadata.fiscal_year.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"references.items.[INDEX].metadata.fiscal_year.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.fiscal_year","typeLabel":"string | null"},"fiscal_quarter":{"oneOf":[{"type":"string","uniqueKey":"references.items.[INDEX].metadata.fiscal_quarter.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"references.items.[INDEX].metadata.fiscal_quarter.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.fiscal_quarter","typeLabel":"string | null"},"document_category":{"oneOf":[{"type":"string","description":"Document category (e.g., \"earnings_call\")","uniqueKey":"references.items.[INDEX].metadata.document_category.oneOf.0","typeLabel":"string"},{"type":"null","description":"Document category (e.g., \"earnings_call\")","uniqueKey":"references.items.[INDEX].metadata.document_category.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.document_category","typeLabel":"string | null"},"document_subcategory":{"oneOf":[{"type":"string","uniqueKey":"references.items.[INDEX].metadata.document_subcategory.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"references.items.[INDEX].metadata.document_subcategory.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.document_subcategory","typeLabel":"string | null"},"sector":{"oneOf":[{"type":"string","uniqueKey":"references.items.[INDEX].metadata.sector.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"references.items.[INDEX].metadata.sector.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.sector","typeLabel":"string | null"},"subsector":{"oneOf":[{"type":"string","uniqueKey":"references.items.[INDEX].metadata.subsector.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"references.items.[INDEX].metadata.subsector.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.subsector","typeLabel":"string | null"},"stock_ids":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"references.items.[INDEX].metadata.stock_ids.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"Bloomberg Global Identifiers (e.g., [\"BBG001S5N8V8\"])","uniqueKey":"references.items.[INDEX].metadata.stock_ids.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"Bloomberg Global Identifiers (e.g., [\"BBG001S5N8V8\"])","uniqueKey":"references.items.[INDEX].metadata.stock_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.stock_ids","typeLabel":"string[] | null"},"tickers":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"references.items.[INDEX].metadata.tickers.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"Ticker symbols (e.g., [\"AAPL\"])","uniqueKey":"references.items.[INDEX].metadata.tickers.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"Ticker symbols (e.g., [\"AAPL\"])","uniqueKey":"references.items.[INDEX].metadata.tickers.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.tickers","typeLabel":"string[] | null"},"company_names":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"references.items.[INDEX].metadata.company_names.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"references.items.[INDEX].metadata.company_names.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"uniqueKey":"references.items.[INDEX].metadata.company_names.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.company_names","typeLabel":"string[] | null"},"offset":{"oneOf":[{"type":"integer","uniqueKey":"references.items.[INDEX].metadata.offset.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"references.items.[INDEX].metadata.offset.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.offset","typeLabel":"integer | null"},"snippet":{"oneOf":[{"type":"string","uniqueKey":"references.items.[INDEX].metadata.snippet.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"references.items.[INDEX].metadata.snippet.oneOf.1","typeLabel":"null"}],"uniqueKey":"references.items.[INDEX].metadata.snippet","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"references.items.[INDEX].metadata","typeLabel":"object"}},"required":["id","citation_idx","search_type","chunk_id","text","text_type","document_id","document_name","s3_file_key","external_url","metadata"],"uniqueKey":"references.items.[INDEX]","typeLabel":"object"},"description":"List of references associated with the conversation","isRequired":true,"uniqueKey":"references","typeLabel":"object[]"}},"required":["references"],"uniqueKey":"","typeLabel":"object"},"example":{"error":null,"payload":{"references":[{"id":"9162ee3d-e71e-4f2d-81a7-9981ecb06597","citation_idx":1,"search_type":"rms","chunk_id":"7601005986849213491","text":"Through our Apple Manufacturing Academy in Detroit, we're already training American businesses and innovators on the latest smart manufacturing and artificial intelligence techniques. Six months since opening, the academy is already making an enormously positive impact...","text_type":"paragraph","document_id":"ed6ed077-949c-46ec-b036-d01fafc9bb84","document_name":"Apple, Inc., Q1 2026 Earnings Call, 29-January-2026 5","s3_file_key":null,"external_url":"","metadata":{"rms_type":null,"rms_sub_type":null,"rms_document_type":"earnings_call","source":null,"countries":null,"regions":null,"participants":null,"tags":null,"publisher":null,"calendar_date":null,"fiscal_year":null,"fiscal_quarter":null,"document_category":"earnings_call","document_subcategory":null,"sector":null,"subsector":null,"stock_ids":["BBG001S5N8V8"],"tickers":["AAPL"],"company_names":null,"offset":null,"snippet":null}},{"id":"05cc6e75-674c-4263-9427-a2113d06a51c","citation_idx":2,"search_type":"rms","chunk_id":"7575071132181705859","text":"Our revenue of $102.5 billion was up 8% year-over-year and is a new September quarter record. We set September quarter records in the Americas, Europe, Japan and the rest of Asia Pacific, and grew in the vast majority of markets we track...","text_type":"paragraph","document_id":"c893ee34-fb85-491d-b667-0be2be515418","document_name":"Apple, Inc., Q4 2025 Earnings Call, 30-October-2025 5","s3_file_key":null,"external_url":"","metadata":{"rms_type":null,"rms_sub_type":null,"rms_document_type":"earnings_call","source":null,"countries":null,"regions":null,"participants":null,"tags":null,"publisher":null,"calendar_date":null,"fiscal_year":null,"fiscal_quarter":null,"document_category":"earnings_call","document_subcategory":null,"sector":null,"subsector":null,"stock_ids":["BBG001S5N8V8"],"tickers":["AAPL"],"company_names":null,"offset":null,"snippet":null}}]}},"examples":{"Example":{"title":"Example","value":{"error":null,"payload":{"references":[{"id":"9162ee3d-e71e-4f2d-81a7-9981ecb06597","citation_idx":1,"search_type":"rms","chunk_id":"7601005986849213491","text":"Through our Apple Manufacturing Academy in Detroit, we're already training American businesses and innovators on the latest smart manufacturing and artificial intelligence techniques. Six months since opening, the academy is already making an enormously positive impact...","text_type":"paragraph","document_id":"ed6ed077-949c-46ec-b036-d01fafc9bb84","document_name":"Apple, Inc., Q1 2026 Earnings Call, 29-January-2026 5","s3_file_key":null,"external_url":"","metadata":{"rms_type":null,"rms_sub_type":null,"rms_document_type":"earnings_call","source":null,"countries":null,"regions":null,"participants":null,"tags":null,"publisher":null,"calendar_date":null,"fiscal_year":null,"fiscal_quarter":null,"document_category":"earnings_call","document_subcategory":null,"sector":null,"subsector":null,"stock_ids":["BBG001S5N8V8"],"tickers":["AAPL"],"company_names":null,"offset":null,"snippet":null}},{"id":"05cc6e75-674c-4263-9427-a2113d06a51c","citation_idx":2,"search_type":"rms","chunk_id":"7575071132181705859","text":"Our revenue of $102.5 billion was up 8% year-over-year and is a new September quarter record. We set September quarter records in the Americas, Europe, Japan and the rest of Asia Pacific, and grew in the vast majority of markets we track...","text_type":"paragraph","document_id":"c893ee34-fb85-491d-b667-0be2be515418","document_name":"Apple, Inc., Q4 2025 Earnings Call, 30-October-2025 5","s3_file_key":null,"external_url":"","metadata":{"rms_type":null,"rms_sub_type":null,"rms_document_type":"earnings_call","source":null,"countries":null,"regions":null,"participants":null,"tags":null,"publisher":null,"calendar_date":null,"fiscal_year":null,"fiscal_quarter":null,"document_category":"earnings_call","document_subcategory":null,"sector":null,"subsector":null,"stock_ids":["BBG001S5N8V8"],"tickers":["AAPL"],"company_names":null,"offset":null,"snippet":null}}]}}}},"exampleType":"examples"}},"exampleType":"examples"},"c9aee4c5-7dee-4239-ac81-b303c5725bd9":{"description":"Bad Request - Invalid conversation_id format.","content":{"application/json":{"schema":{"type":"object","description":"Standard error response wrapper","properties":{"error":{"type":"object","properties":{"code":{"type":"string","description":"Error code indicating the type of error. Common codes:\n- Authentication: `API_KEY_MISSING`, `INVALID_API_KEY`\n- Validation: `INVALID_REQUEST_BODY`, `ORGANIZATION_ID_MISSING`, `TICKERS_MISSING`, `CHAT_MESSAGE_ID_MISSING`, `DOCUMENT_ID_MISSING`\n- Service: `SEARCH_FAIL`, `TTS_FAIL`, `CREATE_CONV_FAIL`, `GET_STOCK_FAIL`, `CREATE_MSG_FAIL`, `ALPHA_COMP_FAIL`, `GET_REF_FAIL`\n- Connectors: `CONNECTOR_LIST_FAIL`, `CONNECTOR_NOT_FOUND`, `CONNECTOR_CREATE_FAIL`, `CONNECTOR_UPDATE_FAIL`, `CONNECTOR_DELETE_FAIL`, `CONNECTOR_TEST_FAIL`\n- Not Found: `NOT_FOUND`\n- Meeting cancellation: `MEETING_NOT_FOUND`, `MEETING_NOT_CANCELABLE`, `MEETING_CANCEL_REASON_REQUIRED`, `MEETING_CANCEL_UNAVAILABLE`, `MEETING_CANCEL_FAIL`\n- Meeting compliance review: `MEETING_NOT_FOUND`, `MEETING_REVIEW_NOT_PERMITTED`, `MEETING_NOT_REVIEWABLE`, `MEETING_REVIEW_UNAVAILABLE`, `MEETING_REVIEW_FAIL`\n- Transcriptions: `TRANSCRIPTION_UPLOAD_FAIL`, `TRANSCRIPTION_SUBMIT_FAIL`, `TRANSCRIPTION_GET_FAIL`, `TRANSCRIPTION_NOT_FOUND`, `TRANSCRIPTION_REQUEST_INVALID`, `TRANSCRIPTION_RESULT_UNAVAILABLE` (503, poll again), `TRANSCRIPTION_SUBMIT_UNAVAILABLE` (503, submit again with the same Idempotency-Key)","example":"INVALID_REQUEST_BODY","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"msg":{"type":"string","description":"Error message (deprecated, use `message` instead)","example":"query is required and must be a string","uniqueKey":"error.msg","typeLabel":"string"},"message":{"type":"string","description":"Error message providing more details about the error","example":"query is required and must be a string","uniqueKey":"error.message","typeLabel":"string"}},"required":["code"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"},"payload":{"oneOf":[{"description":"Always null for error responses","isRequired":true,"uniqueKey":"payload.oneOf.0","typeLabel":"any"},{"description":"Always null for error responses","type":"null","isRequired":true,"uniqueKey":"payload.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"payload","typeLabel":"any | null"}},"required":["error","payload"],"uniqueKey":"","typeLabel":"object"},"example":{"error":{"code":"INVALID_REQUEST_BODY","msg":"conversation_id must be a valid UUID","message":"conversation_id must be a valid UUID"},"payload":null},"examples":{"Example":{"title":"Example","value":{"error":{"code":"INVALID_REQUEST_BODY","msg":"conversation_id must be a valid UUID","message":"conversation_id must be a valid UUID"},"payload":null}}},"exampleType":"examples"}},"exampleType":"examples"},"8381881a-0a19-4d8f-aadc-bca51701c62f":{"description":"Unauthorized - Invalid authentication credentials.","content":{"application/json":{"schema":{"type":"object","description":"Standard error response wrapper","properties":{"error":{"type":"object","properties":{"code":{"type":"string","description":"Error code indicating the type of error. Common codes:\n- Authentication: `API_KEY_MISSING`, `INVALID_API_KEY`\n- Validation: `INVALID_REQUEST_BODY`, `ORGANIZATION_ID_MISSING`, `TICKERS_MISSING`, `CHAT_MESSAGE_ID_MISSING`, `DOCUMENT_ID_MISSING`\n- Service: `SEARCH_FAIL`, `TTS_FAIL`, `CREATE_CONV_FAIL`, `GET_STOCK_FAIL`, `CREATE_MSG_FAIL`, `ALPHA_COMP_FAIL`, `GET_REF_FAIL`\n- Connectors: `CONNECTOR_LIST_FAIL`, `CONNECTOR_NOT_FOUND`, `CONNECTOR_CREATE_FAIL`, `CONNECTOR_UPDATE_FAIL`, `CONNECTOR_DELETE_FAIL`, `CONNECTOR_TEST_FAIL`\n- Not Found: `NOT_FOUND`\n- Meeting cancellation: `MEETING_NOT_FOUND`, `MEETING_NOT_CANCELABLE`, `MEETING_CANCEL_REASON_REQUIRED`, `MEETING_CANCEL_UNAVAILABLE`, `MEETING_CANCEL_FAIL`\n- Meeting compliance review: `MEETING_NOT_FOUND`, `MEETING_REVIEW_NOT_PERMITTED`, `MEETING_NOT_REVIEWABLE`, `MEETING_REVIEW_UNAVAILABLE`, `MEETING_REVIEW_FAIL`\n- Transcriptions: `TRANSCRIPTION_UPLOAD_FAIL`, `TRANSCRIPTION_SUBMIT_FAIL`, `TRANSCRIPTION_GET_FAIL`, `TRANSCRIPTION_NOT_FOUND`, `TRANSCRIPTION_REQUEST_INVALID`, `TRANSCRIPTION_RESULT_UNAVAILABLE` (503, poll again), `TRANSCRIPTION_SUBMIT_UNAVAILABLE` (503, submit again with the same Idempotency-Key)","example":"INVALID_REQUEST_BODY","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"msg":{"type":"string","description":"Error message (deprecated, use `message` instead)","example":"query is required and must be a string","uniqueKey":"error.msg","typeLabel":"string"},"message":{"type":"string","description":"Error message providing more details about the error","example":"query is required and must be a string","uniqueKey":"error.message","typeLabel":"string"}},"required":["code"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"},"payload":{"oneOf":[{"description":"Always null for error responses","isRequired":true,"uniqueKey":"payload.oneOf.0","typeLabel":"any"},{"description":"Always null for error responses","type":"null","isRequired":true,"uniqueKey":"payload.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"payload","typeLabel":"any | null"}},"required":["error","payload"],"uniqueKey":"","typeLabel":"object"},"example":{"error":{"code":"API_KEY_MISSING","msg":"header does not contain api key","message":"header does not contain api key"},"payload":null},"examples":{"Example":{"title":"Example","value":{"error":{"code":"API_KEY_MISSING","msg":"header does not contain api key","message":"header does not contain api key"},"payload":null}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"8aa7599b-2dcb-4258-a16e-03ea68ad1736":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY","scopes":[],"schemeName":"ApiKeyAuth"}}},"servers":{"9cdf8e58-8f32-4db6-a144-4d35b9596918":{"url":"https://api.linqalpha.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-KEY","scopes":[],"schemeName":"ApiKeyAuth"},"schema":{"title":"X-API-KEY","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"X-API-KEY"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"linqalpha","siteName":"Linq Alpha API Docs","title":"References (v2) - Linq Alpha API Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-06-26T02:35:36.838Z","originalFileLocation":"api-reference/basic/references_v2.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves the list of evidence references (citations) used in a conversation. The Analytics SSE endpoint streams the generated answer but does not include references in the response. Use this endpoint after the stream completes to fetch the full list of references that were cited in the answer. Usage Flow: 1. Call the Analytics SSE endpoint (POST /v1/analytics/sse) 2. From the SSE stream, find the conversation event → extract conversation_id 3. After the stream finishes, call this endpoint with the conversation_id 4. The response contains all references with citation index, source document info, and metadata How to view original documents: - Via Viewer: https://chat.linqalpha.com/rms/viewer?conversation_id={conversation_id}\u0026amp;citation_idx={citation_idx}\">\u003cmeta data-mint-head name=\"application-name\" content=\"Linq Alpha API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/linqalpha/lrWql8nYb9-314d0/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/linqalpha/lrWql8nYb9-314d0/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/linqalpha/lrWql8nYb9-314d0/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/linqalpha/lrWql8nYb9-314d0/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/linqalpha/lrWql8nYb9-314d0/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/linqalpha/lrWql8nYb9-314d0/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/linqalpha/lrWql8nYb9-314d0/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/linqalpha/lrWql8nYb9-314d0/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/linqalpha/lrWql8nYb9-314d0/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"References (v2) - Linq Alpha API Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves the list of evidence references (citations) used in a conversation. The Analytics SSE endpoint streams the generated answer but does not include references in the response. Use this endpoint after the stream completes to fetch the full list of references that were cited in the answer. Usage Flow: 1. Call the Analytics SSE endpoint (POST /v1/analytics/sse) 2. From the SSE stream, find the conversation event → extract conversation_id 3. After the stream finishes, call this endpoint with the conversation_id 4. The response contains all references with citation index, source document info, and metadata How to view original documents: - Via Viewer: https://chat.linqalpha.com/rms/viewer?conversation_id={conversation_id}\u0026amp;citation_idx={citation_idx}\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Linq Alpha API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.linqalpha.com/api-reference/basic/references_v2\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://linqalpha.mintlify.app/_mintlify/api/og/v2?division=Basic\u0026amp;title=References+%28v2%29\u0026amp;description=Retrieves+the+list+of+evidence+references+%28citations%29+used+in+a+conversation.%0A%0AThe+%5BAnalytics+SSE%5D%28%2Fapi-reference%2Fbasic%2Fanalytics-sse%29+endpoint+streams+the+gene\u0026amp;theme=90ffa347c1039bd70010bd6c\u0026amp;signature=877076e1cf6cb3f69bd5300533037009a76874e4e01f101c0e124a1c66850fdb\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"References (v2) - Linq Alpha API Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves the list of evidence references (citations) used in a conversation. The Analytics SSE endpoint streams the generated answer but does not include references in the response. Use this endpoint after the stream completes to fetch the full list of references that were cited in the answer. Usage Flow: 1. Call the Analytics SSE endpoint (POST /v1/analytics/sse) 2. From the SSE stream, find the conversation event → extract conversation_id 3. After the stream finishes, call this endpoint with the conversation_id 4. The response contains all references with citation index, source document info, and metadata How to view original documents: - Via Viewer: https://chat.linqalpha.com/rms/viewer?conversation_id={conversation_id}\u0026amp;citation_idx={citation_idx}\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://linqalpha.mintlify.app/_mintlify/api/og/v2?division=Basic\u0026amp;title=References+%28v2%29\u0026amp;description=Retrieves+the+list+of+evidence+references+%28citations%29+used+in+a+conversation.%0A%0AThe+%5BAnalytics+SSE%5D%28%2Fapi-reference%2Fbasic%2Fanalytics-sse%29+endpoint+streams+the+gene\u0026amp;theme=90ffa347c1039bd70010bd6c\u0026amp;signature=877076e1cf6cb3f69bd5300533037009a76874e4e01f101c0e124a1c66850fdb\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/linqalpha/lrWql8nYb9-314d0/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Linq Alpha API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#1767FE\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.linqalpha.com/api-reference/basic/references_v2\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/basic/references_v2.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.linqalpha.com/#organization\",\"name\":\"Linq Alpha API Docs\",\"url\":\"https://docs.linqalpha.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/linqalpha/9BNJqkVKHb4kSYyJ/logo/light.svg?fit=max\u0026auto=format\u0026n=9BNJqkVKHb4kSYyJ\u0026q=85\u0026s=d7dd093386c0527ef6e6c9ef5f8130ad\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.linqalpha.com#website\",\"name\":\"Linq Alpha API Docs\",\"url\":\"https://docs.linqalpha.com\",\"publisher\":{\"@id\":\"https://docs.linqalpha.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.linqalpha.com/api-reference/basic/references_v2#webpage\",\"url\":\"https://docs.linqalpha.com/api-reference/basic/references_v2\",\"name\":\"References (v2)\",\"description\":\"Retrieves the list of evidence references (citations) used in a conversation. The Analytics SSE endpoint streams the generated answer but does not include references in the response. Use this endpoint after the stream completes to fetch the full list of references that were cited in the answer. Usage Flow: 1. Call the Analytics SSE endpoint (POST /v1/analytics/sse) 2. From the SSE stream, find the conversation event → extract conversation_id 3. After the stream finishes, call this endpoint with the conversation_id 4. The response contains all references with citation index, source document info, and metadata How to view original documents: - Via Viewer: https://chat.linqalpha.com/rms/viewer?conversation_id={conversation_id}\u0026citation_idx={citation_idx}\",\"dateModified\":\"2026-06-26T02:35:36.838Z\",\"isPartOf\":{\"@id\":\"https://docs.linqalpha.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.linqalpha.com/api-reference/basic/references_v2#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.linqalpha.com/api-reference/basic/references_v2#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Basic\",\"item\":\"https://docs.linqalpha.com/api-reference/basic/map_tickers\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"References (v2)\",\"item\":\"https://docs.linqalpha.com/api-reference/basic/references_v2\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.linqalpha.com/api-reference/basic/references_v2#apireference\",\"headline\":\"References (v2)\",\"name\":\"References (v2)\",\"description\":\"Retrieves the list of evidence references (citations) used in a conversation. The Analytics SSE endpoint streams the generated answer but does not include references in the response. Use this endpoint after the stream completes to fetch the full list of references that were cited in the answer. Usage Flow: 1. Call the Analytics SSE endpoint (POST /v1/analytics/sse) 2. From the SSE stream, find the conversation event → extract conversation_id 3. After the stream finishes, call this endpoint with the conversation_id 4. The response contains all references with citation index, source document info, and metadata How to view original documents: - Via Viewer: https://chat.linqalpha.com/rms/viewer?conversation_id={conversation_id}\u0026citation_idx={citation_idx}\",\"url\":\"https://docs.linqalpha.com/api-reference/basic/references_v2\",\"mainEntityOfPage\":{\"@id\":\"https://docs.linqalpha.com/api-reference/basic/references_v2#webpage\"},\"dateModified\":\"2026-06-26T02:35:36.838Z\",\"publisher\":{\"@id\":\"https://docs.linqalpha.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.linqalpha.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Linq Alpha API Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Linq Alpha API Docs","nav":{"global":{"anchors":[{"anchor":"Website","href":"https://linqalpha.com"}]},"tabs":[{"tab":"Quickstart","pages":[{"title":"Quickstart","href":"/quickstart"}]},{"tab":"API Reference","groups":[{"group":"MCP","pages":[{"title":"LinqAlpha MCP","openapi":"POST /v1/mcp","href":"/api-reference/basic/mcp"}]},{"group":"Basic","pages":[{"title":"Map Tickers","openapi":"GET /v1/map_tickers","href":"/api-reference/basic/map_tickers"},{"title":"Chat Message","openapi":"GET /v1/chat_messages/{chat_message_id}","href":"/api-reference/basic/chat_message"},{"title":"References","openapi":"GET /v1/references","description":"Retrieves evidence references for a specific chat message. Each reference corresponds to an exact chunk used in the final answer generated by the LinqAlpha engine. These chunks represent the precise portions of documents (e.g., filings, transcripts, or news) that were retrieved and cited by the model to construct the final response..\n\n**How to find chat_message_id:**\nLook for the event with `event_name` set to `search_results` in the Chat API response data. For detailed instructions, see [search_results event response](https://docs.linqalpha.com/api-reference/basic/chat_v2#option-6).\n\n**How to view original documents:**\n1. **Via Viewer:** `https://chat.linqalpha.com/rms/viewer?chat_message_id={chat_message_id}\u0026citation_idx={citation_idx}`\n2. **Direct Download:** If the reference contains a `document_id`, you can access the original document directly through the [presigned_url endpoint](https://docs.linqalpha.com/api-reference/basic/presigned_url).","href":"/api-reference/basic/references"},{"title":"References (v2)","openapi":"GET /v2/conversations/{conversation_id}/references","href":"/api-reference/basic/references_v2"},{"title":"Presigned URL","openapi":"GET /v1/documents/{document_id}/presigned_url","description":"Generates a temporary presigned URL for secure access to the original document file.\n\nProvide a `document_id` (obtained from the References API) to receive a time-limited (10 min) URL that allows you to download or view the source document directly. This is useful when you need to access the actual file that was referenced in the search results.","href":"/api-reference/basic/presigned_url"},{"title":"Batch Presigned URLs","openapi":"GET /v1/documents/batch_presigned_urls","href":"/api-reference/basic/batch_presigned_urls"},{"title":"Presigned URL V2","openapi":"GET /v2/documents/{document_id}/presigned_url","href":"/api-reference/basic/presigned_url_v2"},{"title":"Batch Presigned URLs V2","openapi":"GET /v2/documents/presigned_urls","href":"/api-reference/basic/batch_presigned_urls_v2"},{"title":"Customer Connectors","openapi":"GET /v2/connectors","href":"/api-reference/basic/connectors"},{"title":"Search","openapi":"POST /v1/search","href":"/api-reference/basic/search"},{"title":"TTSQL","openapi":"POST /v1/ttsql","href":"/api-reference/basic/ttsql"},{"title":"Chat","openapi":"POST /v2/chat/sse","href":"/api-reference/basic/chat_v2"},{"title":"Analytics","openapi":"POST /v1/analytics/sse","href":"/api-reference/basic/analytics-sse"},{"title":"Stop Stream","openapi":"POST /v1/stop_stream","href":"/api-reference/basic/stop_stream"},{"title":"Conversation Feedback","openapi":"POST /v1/conversations/{conversation_id}/feedback","href":"/api-reference/basic/conversation_feedback"},{"title":"Delete Conversation Feedback","openapi":"DELETE /v1/conversations/{conversation_id}/feedback","href":"/api-reference/basic/delete_conversation_feedback"}]},{"group":"Analytics V2","pages":[{"title":"Analytics V2","openapi":"POST /v2/analytics/sse","href":"/api-reference/basic/analytics-sse-v2"},{"title":"Analytics V2 References","openapi":"GET /v2/analytics/conversations/{conversation_id}/references","href":"/api-reference/basic/analytics_references"},{"title":"Analytics V2 Judge","openapi":"POST /v2/analytics/messages/{chat_message_id}/judge","href":"/api-reference/basic/analytics_judge"},{"title":"Vault — Get Upload URL","openapi":"POST /v2/vault/presigned_url","href":"/api-reference/vault/presigned_url"},{"title":"Vault — Confirm Upload","openapi":"POST /v2/vault/confirm","href":"/api-reference/vault/confirm"},{"title":"Vault — Document Status","openapi":"GET /v2/vault/status","href":"/api-reference/vault/status"}]},{"group":"Transcriptions","tag":"NEW","pages":[{"title":"Transcriptions — Get Upload URL","openapi":"POST /v2/transcriptions/uploads","href":"/api-reference/transcriptions/upload"},{"title":"Transcriptions — Submit Job","openapi":"POST /v2/transcriptions","href":"/api-reference/transcriptions/create"},{"title":"Transcriptions — Poll / Retrieve","openapi":"GET /v2/transcriptions/{job_id}","href":"/api-reference/transcriptions/get"},{"title":"Transcriptions — Supported Languages","href":"/api-reference/transcriptions/languages"}]},{"group":"Evaluations","pages":[{"title":"Execute Agent Judge","openapi":"POST /v2/judge/agent","href":"/api-reference/evaluations/create"},{"title":"Get Agent Judge Evaluation","openapi":"GET /v2/judge/agent/{evaluation_id}","href":"/api-reference/evaluations/get"},{"title":"Execute LLM Judge","openapi":"POST /v2/judge/llm","href":"/api-reference/evaluations/create_llm"},{"title":"Get LLM Judge Evaluation","openapi":"GET /v2/judge/llm/{evaluation_id}","href":"/api-reference/evaluations/get_llm"}]},{"group":"RMS (On request)","pages":[{"title":"Source","openapi":"GET /v1/sources/{source_id}","tag":["New"],"href":"/api-reference/rms/source"},{"title":"Create Organization","openapi":"POST /v1/organizations","href":"/api-reference/rms/create_organization"},{"title":"Create Source Batch","openapi":"POST /v1/source_batches","tag":["New"],"href":"/api-reference/rms/create_source_batch"},{"title":"Get Upload URL","openapi":"POST /v1/sources/upload_url","tag":["New"],"href":"/api-reference/rms/upload_url"},{"title":"Create Source","openapi":"POST /v1/sources","tag":["New"],"href":"/api-reference/rms/create_source"},{"title":"RMS Chat","openapi":"POST /v1/rms_chat","href":"/api-reference/rms/rms_chat"},{"title":"RMS Deep Research","openapi":"POST /v1/rms_deep_research","href":"/api-reference/rms/rms_deep_research"}]},{"group":"Briefing","tag":"NEW","pages":[{"title":"Create Briefing Schedule","openapi":"POST /v1/briefings","href":"/api-reference/briefing/create"},{"title":"List Briefing Schedules","openapi":"GET /v1/briefings","href":"/api-reference/briefing/list"},{"title":"Update Briefing Schedule","openapi":"PATCH /v1/briefings/{id}","href":"/api-reference/briefing/update"},{"title":"Delete Briefing Schedule","openapi":"DELETE /v1/briefings/{id}","href":"/api-reference/briefing/delete"},{"title":"Preview Briefing On-Demand","openapi":"POST /v1/briefings/preview","href":"/api-reference/briefing/preview"},{"title":"List Deliveries","openapi":"GET /v1/briefings/{id}/deliveries","href":"/api-reference/briefing/deliveries"},{"title":"Get Delivery Detail","openapi":"GET /v1/briefings/deliveries/{delivery_id}","href":"/api-reference/briefing/delivery-detail"},{"title":"Get Delivery References","openapi":"GET /v1/briefings/deliveries/{delivery_id}/references","href":"/api-reference/briefing/delivery-references"},{"title":"Refresh External Content PDF Upload URL","openapi":"POST /v1/external_content/refresh_upload_url","href":"/api-reference/briefing/external-content-refresh-upload-url"}]},{"group":"Sync Status","tag":"NEW","pages":[{"title":"Organization Sync Status","openapi":"GET /v1/status/sync","href":"/api-reference/status/sync"},{"title":"Document Sync Status","openapi":"GET /v1/status/documents","href":"/api-reference/status/documents"},{"title":"Container Sync Status","openapi":"GET /v1/status/containers","href":"/api-reference/status/containers"}]},{"group":"Meeting Agent","pages":[{"title":"Cancel Meeting Agent","openapi":"POST /v1/meetings/{meeting_id}/cancel","href":"/api-reference/meetings/cancel"},{"title":"Approve Meeting Agent Results","openapi":"POST /v1/meetings/{meeting_id}/approve","href":"/api-reference/meetings/approve"},{"title":"Reject Meeting Agent Results","openapi":"POST /v1/meetings/{meeting_id}/reject","href":"/api-reference/meetings/reject"}]}]}]},"title":"References (v2) - Linq Alpha API Docs","buildId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","deploymentId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-rfhihCWU.js","utils-BmH1XFxk.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BcNsxPKB.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BAES3tkd.js","snippetPresets-DCMQBKLP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D6l_bzE9.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BOktbnNh.js","shallow-BCs8SgM7.js","getApiPlaygroundDisplay-DEmW5bJB.js","CodeSnippet-CpZOpB9C.js","CodeSnippets-BOBDqibl.js","Page-D5fEM6aW.js","getPastedJson-DH2JBvmr.js","icon-BBJH-kKh.js","MethodPill-D2Sd5NLC.js","DuplicateIcon-CGgfL2qN.js","createIcon-BKudBBzi.js","DynamicMarkdown-85clUA0i.js","SectionHeading-D0JiMgDx.js","axios-vUo_bRtp.js","Markdown-Cfiy0xZO.js","clsx-rL8ZCCw4.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-aeztFa9U.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BywkCr5C.js"]}